Show / Hide Table of Contents

# AsyncTriggerEnterTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerEnterTrigger : AsyncTriggerBase<Collider>, IUniTaskAsyncEnumerable<Collider>

##### Inheritance

System.Object → AsyncTriggerBase<Collider> → AsyncTriggerEnterTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerEnterAsyncHandler() |
GetOnTriggerEnterAsyncHandler(CancellationToken) |
OnTriggerEnterAsync() |
OnTriggerEnterAsync(CancellationToken) |

### Methods

#### GetOnTriggerEnterAsyncHandler()

    public IAsyncOnTriggerEnterHandler GetOnTriggerEnterAsyncHandler()

##### Returns

IAsyncOnTriggerEnterHandler

#### GetOnTriggerEnterAsyncHandler(CancellationToken)

    public IAsyncOnTriggerEnterHandler GetOnTriggerEnterAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnTriggerEnterHandler

#### OnTriggerEnterAsync()

    public UniTask<Collider> OnTriggerEnterAsync()

##### Returns

UniTask<Collider>

#### OnTriggerEnterAsync(CancellationToken)

    public UniTask<Collider> OnTriggerEnterAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<Collider>

### Implements

IUniTaskAsyncEnumerable<T>